<?php

class Lickstats_Admin {
	const NONCE = 'lickstats-update-key';

	private static $initiated = false;


	public static function init() {
		if ( ! self::$initiated ) {
			self::init_hooks();
		}
	}

	public static function init_hooks() {

		self::$initiated = true;

		add_action( 'admin_menu', array( 'Lickstats_Admin', 'admin_menu' ), 5 ); # Priority 5, so it's called before Jetpack's admin_menu.
		
	}

	public static function admin_menu() {
		if ( class_exists( 'Jetpack' ) )
			add_action( 'jetpack_admin_menu', array( 'Lickstats_Admin', 'load_menu' ) );
		else
			self::load_menu();
	}

	public static function admin_head() {
		if ( !current_user_can( 'manage_options' ) )
			return;
	}
	
	public static function admin_plugin_settings_link( $links ) { 
  		$settings_link = '<a href="'.esc_url( self::get_page_url() ).'">'.__('Settings', 'lickstats').'</a>';
  		array_unshift( $links, $settings_link ); 
  		return $links; 
	}

	public static function load_menu() {
		if ( class_exists( 'Jetpack' ) )
			$hook = add_submenu_page( 'jetpack', __( 'Lickstats' , 'lickstats'), __( 'Lickstats' , 'lickstats'), 'manage_options', 'lickstats-config', array( 'Lickstats_Admin', 'display_page' ) );
		else
			$hook = add_options_page( __('Lickstats', 'lickstats'), __('Lickstats', 'lickstats'), 'manage_options', 'lickstats-config', array( 'Lickstats_Admin', 'display_page' ) );

		if ( version_compare( $GLOBALS['wp_version'], '3.3', '>=' ) ) {
			add_action( "load-$hook", array( 'Lickstats_Admin', 'admin_help' ) );
		}
	}

	public static function display_page(){
		require LICKSTATS_PLUGIN_DIR.'/views/index.php';
	}
}